=== debian/changelog ===
lwip (2.0.3-3+deb10u1) buster; urgency=high

  * Fix CVE-2020-8597

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 21 Mar 2020 09:02:20 +0100

lwip (2.0.3-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Mark liblwip-doc Multi-Arch: foreign.
  * copyright: Make some licence names more precise.

  [ Joan Lledó ]
  * Update patches: Fixing interruptibility and thread safety. Convert to DOS
    format to mach lwip sources.
  * getpeername_dual: Cherry-pick upstream fix for dual-stack sockets.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 00:25:58 +0100

lwip (2.0.3-2) unstable; urgency=medium

  * Fix shipping lwip/priv/{tcp,tcpip}_priv.h.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 Jun 2018 00:47:22 +0200

lwip (2.0.3-1) unstable; urgency=medium

  * Initial release (Closes: Bug#884641)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 May 2018 01:52:18 +0200
