=== debian/control ===
Source: lwip
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.8
Section: libs
Homepage: http://savannah.nongnu.org/projects/lwip/
Vcs-Git: https://salsa.debian.org/debian/lwip.git
Vcs-Browser: https://salsa.debian.org/debian/lwip.git

Package: liblwip-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblwip0 (= ${binary:Version}), ${misc:Depends}
Description: small implementation of the TCP/IP protocol suite - development files
 lwIP is a small independent implementation of the TCP/IPv4/IPv6 protocol
 suite that has been developed by Adam Dunkels at the Computer and
 Networks Architectures (CNA) lab at the Swedish Institute of Computer
 Science (SICS).
 .
 The focus of the lwIP TCP/IP implementation is to reduce the RAM usage
 while still having a full scale TCP. This making lwIP suitable for use
 in embedded systems with tens of kilobytes of free RAM and room for
 around 40 kilobytes of code ROM.
 .
 This package contains the development files.

Package: liblwip0
Architecture: any
Multi-arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small implementation of the TCP/IP protocol suite - shared library
 lwIP is a small independent implementation of the TCP/IPv4/IPv6 protocol
 suite that has been developed by Adam Dunkels at the Computer and
 Networks Architectures (CNA) lab at the Swedish Institute of Computer
 Science (SICS).
 .
 The focus of the lwIP TCP/IP implementation is to reduce the RAM usage
 while still having a full scale TCP. This making lwIP suitable for use
 in embedded systems with tens of kilobytes of free RAM and room for
 around 40 kilobytes of code ROM.
 .
 This package contains the shared library.

Package: liblwip-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: small implementation of the TCP/IP protocol suite - documentation
 lwIP is a small independent implementation of the TCP/IPv4/IPv6 protocol
 suite that has been developed by Adam Dunkels at the Computer and
 Networks Architectures (CNA) lab at the Swedish Institute of Computer
 Science (SICS).
 .
 The focus of the lwIP TCP/IP implementation is to reduce the RAM usage
 while still having a full scale TCP. This making lwIP suitable for use
 in embedded systems with tens of kilobytes of free RAM and room for
 around 40 kilobytes of code ROM.
 .
 This package contains the documentation.
