## lwip 2.1.2

=== debian/changelog ===
lwip (2.1.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Fri, 04 Oct 2019 13:31:52 -0400

lwip (2.1.2-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * Set Joan Lledó as maintainer.
  * watch: Generalize pattern.

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 28 Sep 2019 07:33:21 +0200

lwip (2.1.2-4) unstable; urgency=medium

  [ Joan Lledó ]
  * Add support for kFreeBSD
    * debian/patches/cmake:
      * Remove the OS restriction to Linux and Hurd
    * debian/patches/port:
      * Detect kFreeBSD
      * Disable htons() and pals for kFreeBSD
      * Declare some socket options when missing:
        *TCP_KEEPIDLE, TCP_KEEPINTVL and TCP_KEEPCNT
      * Make kFreeBSD use standard error codes

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Aug 2019 09:25:34 +0200

lwip (2.1.2-3) unstable; urgency=medium

  [ Joan Lledó ]
  * debian/patches/patch9350:
    * Remove _HAVE_SA_LEN macros
      * Some macros related to sa_len field were written to this
        file by mistake
  * debian/patches/port:
    * Fix bug on thrad handling
      * In the Hurd, pthread_cond_timedwait() returns EINTR when
        the thread has been cancelled
    * Move some #includes in cc.h from max_sockets to port:
      * <sys/ioctl.h>
      * <fcntl.h>
      * <net/if.h>
      * <sys/types.h>
    * Fix build error on some architectures
      * sio module: memset struct sigaction to 0
        * Use memset to set all struct sigaction fields to 0
          instead of doing it field by field, since fields depend
          on the architecture
  * debian/patches/max_sockets:
    * Remove #includes in cc.h moved to port patch

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Aug 2019 19:25:35 +0200

lwip (2.1.2-2) unstable; urgency=medium

  [ Joan Lledó ]
  * debian/patches/max_sockets:
    * Update required after making changes in debian/patches/port
  * debian/patches/patch9807:
    * New patch: Add new function tcpip_callback_wait() in tcpip.c
      * To call a function inside the tcpip thread and wait
        for it to return
  * debian/patches/port:
    * Fix bug: Don't abort the whole stack on error
    * Fix some locking issues
    * Rename macro HURD_LWIP_LWIPOPTS_H to UNIX_LWIP_LWIPOPTS_H
    * Add Unix port interface files
      * To make compilation of userspace programs in Linux easier
    * Detect 64bit systems
      * Macros in lwipopts.h must have different values in
        64bit systems
  * debian/patches/series:
    * Add new patch debian/patches/patch9807

  [ Samuel Thibault ]
  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 10 Aug 2019 00:45:08 +0200

lwip (2.1.2-1) experimental; urgency=medium

  [ Joan Lledó ]
  * New upstream release.
  * debian/patches/autoconf: Removed, replaced by cmake.
  * debian/patches/bug-36167: Removed, already upstream.
  * debian/patches/errno: Likewise.
  * debian/patches/getpeername_dual: Likewise.
  * debian/patches/poll: Likewise.
  * debian/patches/posix: Removed, merged into port patch.
  * debian/patches/cmake: New patch, implements cmake build system.
  * debian/patches/max_sockets: Adapted to 2.1.2.
  * debian/patches/patch9350: Cherry-picked from upstream.
  	* It allows using external socket headers.
  * debian/patches/port: Adapted to 2.1.2.
  	* It now includes external socket headers.
  * debian/patches/series: List of patches updated.
  * debian/patches/rules: Adapted to use cmake.

  [ Samuel Thibault ]
  * control: Add cmake build-dep.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Mar 2019 20:36:34 +0200
