=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lwip
 Priority: optional
-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
+Maintainer: Joan Lledó <jlledom@member.fsf.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, cmake
 Standards-Version: 3.9.8
 Section: libs
 Homepage: http://savannah.nongnu.org/projects/lwip/
