=== debian/watch ===
version=3
  
http://download.savannah.gnu.org/releases/lwip/ lwip-@ANY_VERSION@@ARCHIVE_EXT@
