=== debian/changelog ===
lwip (2.1.2+dfsg1-8+deb11u1) bullseye; urgency=high

  * Fix CVE-2020-22283
  * Fix CVE-2020-22284
  * closes: 1014447

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 07 Aug 2022 11:16:06 +0200

lwip (2.1.2+dfsg1-8) unstable; urgency=medium

  * No-change source-only upload to allow testing migration.

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 09 Aug 2020 09:55:09 +0200

lwip (2.1.2+dfsg1-7) unstable; urgency=low

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set debhelper-compat version in Build-Depends.
  * Use canonical URL in Vcs-Browser.
  * Update standards version to 4.5.0, no changes needed.

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 08 Aug 2020 11:59:35 +0200

lwip (2.1.2+dfsg1-6) unstable; urgency=medium

  * No-change source-only upload to allow testing migration.

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 08 Mar 2020 10:56:53 +0100

lwip (2.1.2+dfsg1-5) unstable; urgency=medium

  * Fix CVE-2020-8597

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 07 Mar 2020 20:41:29 +0100

lwip (2.1.2+dfsg1-4) unstable; urgency=medium

  * No-change source-only upload to allow testing migration.
  * Use the uploaded orig tarball

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 26 Jan 2020 14:23:06 +0100

lwip (2.1.2+dfsg1-3) unstable; urgency=medium

  * No-change source-only upload to allow testing migration.
  * Include orig tarball

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 26 Jan 2020 12:36:10 +0100

lwip (2.1.2+dfsg1-2) unstable; urgency=medium

  * No-change source-only upload to allow testing migration.

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 26 Jan 2020 10:53:32 +0100

lwip (2.1.2+dfsg1-1) unstable; urgency=medium

  * Update Standards version to 4.4.1
  * Clean lintian error: source-is-missing
    * Repack: remove doxygen documentation from orig
    * Generate doxygen output on build
  * Clean lintian warnings about copyright
  * Clean minor lintian messages
  * Add upstream signing key for uscan verification

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 18 Jan 2020 12:38:25 +0100
