=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: lwip
 Priority: optional
 Maintainer: Joan Lledó <jlledom@member.fsf.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, cmake
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12), cmake, doxygen
+Standards-Version: 4.5.0
 Section: libs
-Homepage: http://savannah.nongnu.org/projects/lwip/
+Homepage: https://savannah.nongnu.org/projects/lwip/
 Vcs-Git: https://salsa.debian.org/debian/lwip.git
-Vcs-Browser: https://salsa.debian.org/debian/lwip.git
+Vcs-Browser: https://salsa.debian.org/debian/lwip
 
 Package: liblwip-dev
 Section: libdevel
@@ -48,6 +48,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Suggests: doc-base
 Description: small implementation of the TCP/IP protocol suite - documentation
  lwIP is a small independent implementation of the TCP/IPv4/IPv6 protocol
  suite that has been developed by Adam Dunkels at the Computer and
