## lwip 2.1.3%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

%:
	dh $@
