=== debian/changelog ===
lwip (2.1.3+dfsg1-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.6.0 (no change)
  * patches/max_sockets: Restore patch, it was not actually upstreamed.

  [ Joan Lledó ]
  * Refresh patches
  * Update standards version to 4.6.1

 -- Joan Lledó <jlledom@member.fsf.org>  Mon, 11 Jul 2022 10:10:37 +0200

lwip (2.1.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - patches/max_sockets: Upstreamed.
  * copyright: Drop superfluous file pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 14 Nov 2021 18:32:01 +0100

lwip (2.1.2+dfsg1-9) unstable; urgency=medium

  * Team upload.
  * rules: Fix reproducibility by adding reproducible=+fixfilepath.
  * control: Set Rules-Requires-Root to no.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Oct 2021 00:36:38 +0200
