=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Priority: optional
 Maintainer: Joan Lledó <jlledom@member.fsf.org>
 Build-Depends: debhelper-compat (= 12), cmake, doxygen
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://savannah.nongnu.org/projects/lwip/
 Vcs-Git: https://salsa.debian.org/debian/lwip.git
@@ -28,7 +29,7 @@
 
 Package: liblwip0
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: small implementation of the TCP/IP protocol suite - shared library
  lwIP is a small independent implementation of the TCP/IPv4/IPv6 protocol
