=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lwip
 Priority: optional
 Maintainer: Joan Lledó <jlledom@member.fsf.org>
-Build-Depends: debhelper-compat (= 12), cmake, doxygen
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), cmake, doxygen <!nodoc>,
+    libvdeplug-dev [linux-any]
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Section: libs
@@ -13,7 +14,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblwip0 (= ${binary:Version}), ${misc:Depends}
+Depends: liblwip0t64 (= ${binary:Version}), ${misc:Depends}
 Description: small implementation of the TCP/IP protocol suite - development files
  lwIP is a small independent implementation of the TCP/IPv4/IPv6 protocol
  suite that has been developed by Adam Dunkels at the Computer and
@@ -27,7 +28,10 @@
  .
  This package contains the development files.
 
-Package: liblwip0
+Package: liblwip0t64
+Provides: ${t64:Provides}
+Replaces: liblwip0
+Breaks: liblwip0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -46,6 +50,7 @@
 
 Package: liblwip-doc
 Section: doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
