## lwip 2.2.1%2Bdfsg1

=== debian/changelog ===
lwip (2.2.1+dfsg1-4) unstable; urgency=medium

  * patches/ip_pktinfo: Fix build with glibc 2.43.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Feb 2026 01:38:38 +0100

lwip (2.2.1+dfsg1-3) unstable; urgency=low

  [ Samuel Thibault ]
  * Bump debhelper from old 12 to 13.
  * patches/doxygen2: Fix build with newer doxygen.  Closes: #1122437

  [ Joan Lledó ]
  * patches/posixlib:
    - Fix Typo
    - Update upstream patch URL

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Dec 2025 00:02:43 +0100

lwip (2.2.1+dfsg1-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * copyright: Update.

  [ Joan Lledó ]
  * Add support for external DHCP client

 -- Joan Lledó <jlledom@member.fsf.org>  Tue, 29 Jul 2025 18:10:10 +0200

lwip (2.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * patches/max_sockets: Updated to apply correctly
  * patches/posixlib: Updated to apply correctly

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 01 Mar 2025 19:47:48 +0100

lwip (2.2.0+dfsg1-9) unstable; urgency=medium

  * Fix lintian warnings
    * Add metadata to patches
    * Fix warnings about encoding
    * Update to standards version 4.7.0

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 15 Feb 2025 10:47:06 +0100

lwip (2.2.0+dfsg1-8) unstable; urgency=medium

  * patches/doxygen: Fix build with doxygen 1.12.  Closes: #1080183

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Sep 2024 18:27:28 +0200
