=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: lwip
 Priority: optional
 Maintainer: Joan Lledó <jlledom@member.fsf.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), cmake, doxygen <!nodoc>,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), cmake, doxygen <!nodoc>,
     libvdeplug-dev [linux-any]
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://savannah.nongnu.org/projects/lwip/
 Vcs-Git: https://salsa.debian.org/debian/lwip.git
